:root {
    --header-height: 150px;
    --footer-height: 50px;
}

* {
    margin: 0;
    padding: 0;
    font-family: Calibri, Arial, Helvetica;
}

html,
body {
    width: 100%;
    height: 100%;
    background: lightgray;
}

.container {
    width: 100%;
    height: 100%;
    background: lightseagreen;
    display: flex;
    flex-wrap: wrap;
}

.container div {
    display: flex;
    justify-content: center;
    align-items: center;
}

.header {
    background: lightsteelblue;
    flex-basis: 100%;
    height: var(--header-height);
    order: 1;
}

.footer {
    background: lime;
    flex-basis: 100%;
    height: var(--footer-height);
    order: 5;
}

.right {
    background: magenta;
    flex: 1;
    order: 3;
}

.main {
    background: olive;
    flex: 4;
    order: 4;
}

.left {
    background: orange;
    flex: 2;
    height: calc(100% - var(--header-height) - var(--footer-height));
    order: 2;
}

@media (max-width: 500px) {
    .left {
        flex: 1;
        height: calc(100% - var(--header-height) - var(--footer-height) - 200px);
    }
    .main {
        flex-basis: 100%;
        height: 200px;
    }
}